
Foreman - Feature #1611

Search for hosts without certain facts

05/09/2012 09:10 AM - Greg Sutcliffe

Status: New   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some of my hosts have a fact "my_fact". I would like to be able to search for the hosts where this fact doesn't exist. This doesn't

seemed to be possible within the current search system - things like "not has facts.my_fact" don't work, nor does "facts.myfact !~ *".

Related issues:

Has duplicate Foreman - Feature #1168: Ability to search for Facts (and Param... Resolved 09/13/2011

History

#1 - 10/24/2013 07:55 AM - Ohad Levy

- Has duplicate Feature #1168: Ability to search for Facts (and Param) without providing a value added

#2 - 10/24/2013 07:55 AM - Ohad Levy

- Status changed from New to Duplicate

#3 - 02/19/2014 04:23 PM - Ewoud Kohl van Wijngaarden

- Category set to Search

- Status changed from Duplicate to New

This is a different issue from #1168 since that's resolved, but this is still relevant.

Steps to reproduce:

Have a custom fact that is only on a few hosts (i.e. a fact confined to one osfamily)

Try to search for hosts without that fact

I wrote a custom fact reboot_needed and now I want to know which hosts lack this fact. I tried the options Greg provided in the description and failed

to find the hosts.
